local debug = false
--[===[@debug@
debug = true
--@end-debug@]===]

local L, _, ns = {}, ...
setmetatable(L, { __index = function(t, k) t[k] = k return k end })
ns.L = L

-- Localization table managed via CurseForge.
-- Please feel free to suggest updates / corrections to the localizations below via 
-- http://wow.curseforge.com/addons/fishing-shack-pro/localization/

-- Special thanks to the following individuals for their assistance in translations / localizations:
-- pas06 http://wow.curseforge.com/profiles/pas06/ for German (deDE)

local CURRENT_LOCALE = GetLocale()
-- English (enUS)
if CURRENT_LOCALE == "enUS" then return end

-- Brazilian Portuguese (ptBR)
if CURRENT_LOCALE == "ptBR" then
L["commands"] = "commands" -- Requires localization
L["enable the addon"] = "enable the addon" -- Requires localization
L["No"] = "No" -- Requires localization
L["Now using"] = "Agor vestindo" -- Needs review
L["OFF"] = "OFF" -- Requires localization
L["ON"] = "ON" -- Requires localization
L["replaced by"] = "foi substituído com" -- Needs review
L["replace poles with active bait applied"] = "replace poles with active bait applied" -- Requires localization
L["UPGRADE!"] = "ATUALIZAÇÃO" -- Needs review
L["Yes"] = "Yes" -- Requires localization

end

-- French (frFR)
if CURRENT_LOCALE == "frFR" then
L["commands"] = "commands" -- Requires localization
L["enable the addon"] = "enable the addon" -- Requires localization
L["No"] = "No" -- Requires localization
L["Now using"] = "Maintenant porter" -- Needs review
L["OFF"] = "OFF" -- Requires localization
L["ON"] = "ON" -- Requires localization
L["replaced by"] = "a été remplacé par" -- Needs review
L["replace poles with active bait applied"] = "replace poles with active bait applied" -- Requires localization
L["UPGRADE!"] = "SURCLASSEMENT!" -- Needs review
L["Yes"] = "Yes" -- Requires localization
end

-- German (deDE)
if CURRENT_LOCALE == "deDE" then
L["commands"] = "Befehle"
L["enable the addon"] = "Addon aktivieren"
L["No"] = "Nein"
L["Now using"] = "jetzt tragen" -- Needs review
L["OFF"] = "AUS"
L["ON"] = "EIN"
L["replaced by"] = "wurde ersetzt durch"
L["replace poles with active bait applied"] = "replace poles with active bait applied" -- Requires localization
L["UPGRADE!"] = "VERBESSERUNG!"
L["Yes"] = "Ja"

end

-- Italian (itIT)
if CURRENT_LOCALE == "itIT" then
L["commands"] = "commands" -- Requires localization
L["enable the addon"] = "enable the addon" -- Requires localization
L["No"] = "No" -- Requires localization
L["Now using"] = "ora indossa" -- Needs review
L["OFF"] = "OFF" -- Requires localization
L["ON"] = "ON" -- Requires localization
L["replaced by"] = "sostituito da" -- Needs review
L["replace poles with active bait applied"] = "replace poles with active bait applied" -- Requires localization
L["UPGRADE!"] = "UPGRADE !" -- Needs review
L["Yes"] = "Yes" -- Requires localization

end

-- Korean (koKR)
if CURRENT_LOCALE == "koKR" then
L["commands"] = "commands" -- Requires localization
L["enable the addon"] = "enable the addon" -- Requires localization
L["No"] = "No" -- Requires localization
L["Now using"] = "Now using" -- Requires localization
L["OFF"] = "OFF" -- Requires localization
L["ON"] = "ON" -- Requires localization
L["replaced by"] = "replaced by" -- Requires localization
L["replace poles with active bait applied"] = "replace poles with active bait applied" -- Requires localization
L["UPGRADE!"] = "UPGRADE!" -- Requires localization
L["Yes"] = "Yes" -- Requires localization

end

-- Latin American Spanish (esMX)
if CURRENT_LOCALE == "esMX" then
L["commands"] = "las ordens" -- Needs review
L["enable the addon"] = "permitir al addon" -- Needs review
L["No"] = "No" -- Needs review
L["Now using"] = "ahora llevaba" -- Needs review
L["OFF"] = "APAGADO" -- Needs review
L["ON"] = "ENCENDIDO" -- Needs review
L["replaced by"] = "reemplazado con" -- Needs review
L["replace poles with active bait applied"] = "sustituye las cañas de pescar con cebo" -- Needs review
L["UPGRADE!"] = "MODERNIZACIÓN" -- Needs review
L["Yes"] = "Si" -- Needs review

end

-- Russian (ruRU)
if CURRENT_LOCALE == "ruRU" then
L["commands"] = "commands" -- Requires localization
L["enable the addon"] = "enable the addon" -- Requires localization
L["No"] = "No" -- Requires localization
L["Now using"] = "Now using" -- Requires localization
L["OFF"] = "OFF" -- Requires localization
L["ON"] = "ON" -- Requires localization
L["replaced by"] = "replaced by" -- Requires localization
L["replace poles with active bait applied"] = "replace poles with active bait applied" -- Requires localization
L["UPGRADE!"] = "UPGRADE!" -- Requires localization
L["Yes"] = "Yes" -- Requires localization

end

-- Simplified Chinese (zhCN)
if CURRENT_LOCALE == "zhCN" then
L["commands"] = "commands" -- Requires localization
L["enable the addon"] = "enable the addon" -- Requires localization
L["No"] = "No" -- Requires localization
L["Now using"] = "Now using" -- Requires localization
L["OFF"] = "OFF" -- Requires localization
L["ON"] = "ON" -- Requires localization
L["replaced by"] = "replaced by" -- Requires localization
L["replace poles with active bait applied"] = "replace poles with active bait applied" -- Requires localization
L["UPGRADE!"] = "UPGRADE!" -- Requires localization
L["Yes"] = "Yes" -- Requires localization

end

-- Spanish (esES)
if CURRENT_LOCALE == "esES" then
L["commands"] = "las ordens" -- Needs review
L["enable the addon"] = "permitir al addon" -- Needs review
L["No"] = "No" -- Needs review
L["Now using"] = "ahora llevaba" -- Needs review
L["OFF"] = "APAGADO" -- Needs review
L["ON"] = "ENCENDIDO" -- Needs review
L["replaced by"] = "fue reemplazado con" -- Needs review
L["replace poles with active bait applied"] = "sustituye las cañas de pescar con cebo" -- Needs review
L["UPGRADE!"] = "MODERNIZACIÓN" -- Needs review
L["Yes"] = "Si" -- Needs review

end

-- Traditional Chinese (zhTW)
if CURRENT_LOCALE == "zhTW" then
L["commands"] = "commands" -- Requires localization
L["enable the addon"] = "enable the addon" -- Requires localization
L["No"] = "No" -- Requires localization
L["Now using"] = "Now using" -- Requires localization
L["OFF"] = "OFF" -- Requires localization
L["ON"] = "ON" -- Requires localization
L["replaced by"] = "replaced by" -- Requires localization
L["replace poles with active bait applied"] = "replace poles with active bait applied" -- Requires localization
L["UPGRADE!"] = "UPGRADE!" -- Requires localization
L["Yes"] = "Yes" -- Requires localization

end